> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# क्रॉल जॉब बनाएं

POST https://api.elevenlabs.io/v1/convai/knowledge-base/crawl
Content-Type: application/json

दिए गए URL को तय गहराई और पेज सीमाओं के साथ क्रॉल करने के लिए क्रॉल जॉब बनाएं।

Reference: https://elevenlabs.io/docs/api-reference/knowledge-base/create-crawl-job

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Body (application/json)

This endpoint expects a Body_Create_crawl_job_v1_convai_knowledge_base_crawl_post.

- `url` (string, required) — डॉक्यूमेंटेशन के उस पेज का URL, जिसे एजेंट यूज़र्स के साथ इंटरैक्ट करने के लिए एक्सेस कर सकेगा।
- `max_pages` (integer, optional, default: 1000) — क्रॉल किए जाने वाले पेजों की अधिकतम संख्या (1-10,000), डिफ़ॉल्ट 1000 है।
- `pattern` (string, optional, nullable) — सेट होने पर, केवल इस पैटर्न से मेल खाने वाले URLs शामिल किए जाते हैं।
- `sitemap_urls` (list of string, optional, nullable) — साइटमैप से क्रॉल किए जाने वाले URL की सूची (वैकल्पिक, ऑटोमैटिक URL डिस्कवरी को ओवरराइड करती है)।
- `parent_folder_id` (string, optional, nullable) — सेट होने पर, बनाया गया दस्तावेज़ या फ़ोल्डर दिए गए फ़ोल्डर के अंदर रखा जाएगा।
- `enable_auto_sync` (boolean, optional, default: false) — क्या इस URL दस्तावेज़ के लिए auto-sync सक्षम करना है।
- `auto_remove` (boolean, optional, default: false) — क्या URL अनुपलब्ध होने पर दस्तावेज़ को अपने-आप हटाना है। यह केवल auto-sync सक्षम होने पर लागू है।
- `auto_discover` (boolean, optional, default: false) — ऑटो-सिंक के दौरान पहले से क्रॉल किए गए पेजों से लिंक किए गए नए पेज अपने-आप खोजें और जोड़ें। इसके लिए enable_auto_sync=true आवश्यक है।
- `minimum_frequency_days` (integer, optional, nullable) — न्यूनतम आवृत्ति (दिनों में) जिस पर अंतर्निहित पात्र दस्तावेज़ रीफ़्रेश होते हैं। वास्तविक अंतराल कम हो सकता है, कभी ज़्यादा नहीं। डिफ़ॉल्ट 7 है; पैरेंट फ़ोल्डर की आवृत्ति अधिक सख्त होने पर उसी के अनुसार सेट किया जाता है। केवल ऑटो-सिंक सक्षम होने पर लागू।
- `max_depth` (integer, optional, default: 3, deprecated) — डीप्रिकेटेड - यह फ़ील्ड कोई काम नहीं करता और भविष्य के वर्ज़न में हटा दिया जाएगा।

## Response

### 200

सफल रिस्पॉन्स

- `id` (string, required)
- `type` (enum, required, default: discovery)
  - Allowed values: `discovery`, `sitemap`
- `root_folder_id` (string, required)
- `status` (string, required)
- `created_at` (integer, required)
- `folder_path` (list of KnowledgeBaseFolderPathSegmentSummaryResponseModel, optional) — रूट से पैरेंट फ़ोल्डर तक, रूट फ़ोल्डर तक ले जाने वाले फ़ोल्डर पाथ सेगमेंट।

## Errors

### 422 Unprocessable Entity Error

वैलिडेशन एरर

- `detail` (list of ValidationError, optional)

## Types

### KnowledgeBaseFolderPathSegmentSummaryResponseModel

- `id` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "url": "string"
}
```

**Response**

```json
{
  "id": "string",
  "type": "discovery",
  "root_folder_id": "string",
  "status": "string",
  "created_at": 1,
  "folder_path": [
    {
      "id": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/knowledge-base/crawl"

payload = { "url": "string" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/knowledge-base/crawl';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"url":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/knowledge-base/crawl"

	payload := strings.NewReader("{\n  \"url\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/knowledge-base/crawl")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"url\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/convai/knowledge-base/crawl")
  .header("Content-Type", "application/json")
  .body("{\n  \"url\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/convai/knowledge-base/crawl', [
  'body' => '{
  "url": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/knowledge-base/crawl");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"url\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["url": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/knowledge-base/crawl")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```